
Foreman - Bug #13257

Cannot create nested Locations via CLI

01/18/2016 04:31 AM - Duncan Innes

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Organizations and Locations   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3094

  

Description

Apologies if this is possible, but I've not found a way to do it either in documentation, or via trial & error.

We're trying to create locations which have a parent location, but don't seem to be able to do this via Hammer CLI or API.  Is this

something that is only possible through the WebUI?

I thought that one of the "design principles" (loose phrasing here) of Foreman was that any actions through the WebUI were also

possible via the CLI?

Associated revisions

Revision 5c028a17 - 02/17/2016 06:58 AM - Ori Rabin

Fixes #13257 - nested locations can be created via api

History

#1 - 01/19/2016 07:09 AM - Ori Rabin

- Project changed from Hammer CLI to Foreman

- Status changed from New to Assigned

- Assignee set to Ori Rabin

This should be fixed in the api and then t will work in the cli too.

#2 - 01/19/2016 07:12 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3094 added

#3 - 02/11/2016 09:33 AM - Bryan Kearney

- Category set to Organizations and Locations

#4 - 02/17/2016 07:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 5c028a17ad427dc606cf45be05fc026d5435aadb.

#5 - 02/17/2016 09:37 AM - Dominic Cleal

- translation missing: en.field_release set to 71
